VIM(1)

NAME
vim - Vi rozbudowany, edytor tekstu dla programisty

SYNOPSIS
vim [opcje] [plik ..]
vim [opcje] -
vim [opcje] -t znacznik
vim [opcje] -q [plik błędu]

ex
view
gvim gview evim eview
rvim rview rgvim rgview

OPIS
Vim jest edytorem tekstu kompatybilnym z Vi. Może być używany do edycji wszelkiego rodzaju plików tekstowych. Użyteczny zwłaszcza przy edycji programów.

Posiada wiele usprawnień w porównaniu z Vi: wielo poziomowe cofanie zmian, wiele okien i buforów, podświetlanie składni, edycja linii poleceń, uzupełnianie nazw plików, pomoc on-line, wizualna selekcja, itd. Zobacz ":help vi_diff.txt" dla podsumowania różnić pomiędzy Vimem i Vi.

W czasie korzystania z Vima można uzyskać obszerną pomoc z systemu pomocy on-line dzięki poleceniu ":help". Zobacz rozdział POMOC ON-LINE poniżej.

Najczęściej Vim jest uruchamiany do edycji pojedynczego pliku poleceniem

    vim plik

Bardziej ogólnie Vim jest uruchamiany poprzez:

    vim [opcje] [lista plików]

Jeśli brak listy plików edytor rozpocznie z pustym buforem. W innym wypadku istnieje dokładnie jedna z czterech możliwości by wybrać jeden lub więcej plików do edycji.

plik ..
    Lista nazw plików. Pierwsza nazwa będzie nazwą bieżącego pliku, który zostanie wczytany do bufora. Kursor zostanie umieszczony w pierwszym wierszu. Do kolejnych plików można przejść dzięki poleceniu ":next". By otworzyć plik, którego nazwa zaczyna się od myślnika należy listę plików poprzedzić "--".

-   Plik do edycji jest wczytany ze standardowego wejścia. Polecenia są odczytywane ze standardowego wyjścia błędów, którym powinien być terminal (tty).

-t {znacznik}
    Plik do edycji i początkowa pozycja kursora zależy od "znacznika", rodzaju etykiety goto. {znacznika} szuka się w pliku tags, związany z nim plik staje się plikiem bieżącym i wykonuje się powiązane polecenie. Zazwyczaj używa się tego sposobu dla programów w C, w których wypadku {znacznik} powinien być nazwą funkcji. W efekcie plik zawierający określoną funkcję staje się plikiem bieżącym a kursor jest umieszczony na początku funkcji. Zobacz ":help tag-commands".

-q [plik_błędów]
    Zacznij w trybie quickFix. Plik [plik_błędów] zostaje zinterpretowany i pokaże się pierwszy błąd. Jeśli brak opcji [plik_błędów] nazwa pliku zostanie pobrana z opcji systemów. Do kolejnych błędów można przeskoczyć dzięki poleceniu ":cn". Zobacz ":help quickfix".

W zależności od wywołania Vim zachowuje się inaczej (program może być cały czas tym samym plikiem).

vim "Normalny" sposób, wszystko jest domyślne.

ex  Zacznij w trybie Ex. Przejdź do trybu Normalnego poleceniem ":vi". Można także uruchomić poprzez argument "-e".

view
    Zacznij w trybie tylko do odczytu. W ten sposób będziesz chroniony przed zapisywaniem pliku. Można także uruchomić poprzez argument "-R".

gvim gview
    Wersja GUI. Uruchamia nowe okno. Można także uruchomić poprzez argument "-g".

evim eview
    Wersja GUI w łatwym trybie. Uruchamia nowe okno. Można także uruchomić poprzez argument "-y".

rvim rview rgvim rgview
    Podobnie jak powyżej, ale z ograniczeniami. Nie będzie można uruchomić poleceń powłoki lub zawiesić Vima. Można także uruchomić poprzez argument "-Z".

OPCJE
Opcje można podać w dowolnej kolejności, przed lub po nazwach plików. Opcje bez argumentów można łączyć po pojedynczym myślniku.

+[num]
    W pierwszym pliku kursor zostanie umieszczony w wierszu "num". Jeśli brak "num" kursor zostanie umieszczony w ostatnim wierszu.

+/{wzór}
    W pierwszym pliku kursor zostanie umieszczony na pierwszym wystąpieniu {wzór}. Zobacz ":help search-pattern" by dowiedzieć się jakie są możliwości wzorów wyszukiwania.

+{polecenie}

-c {polecenie}
    {polecenie} zostanie wykonane po tym jak wczyta się pierwszy plik. {polecenie} jest interpretowane jako polecenie Ex. Jeśli {poleceni} zawiera białe znaki musi być umieszczone w podwójnych cudzysłowach (zależy to od używanej powłoki). Przykład: Vim "+set si" main.c
    Uwaga: Można użyć do 10 poleceń "+" lub "-c".

-S {plik}
    {plik} zostanie zinterpretowany po wczytaniu pierwszego pliku. Jest równoważne -c "source {plik}". {plik} nie może zaczynać się '-'. Jeśli nie podano {plik} zostanie użyty "Session.vim" (działa tylko wtedy jeśli -S jest ostatnim argumentem).

--cmd {polecenie}
    Podobne do "-c", ale polecenie jest wykonywane tuż przed interpretacją jakiegokolwiek pliku vimrc. Można użyć do 10 takich poleceń, niezależni od poleceń od "-c"

-A  Jeśli Vim został skompilowany ze wsparciem dla języków arabskich (edycja od prawej do lewej i arabska mapa klawiatury) ta opcja uruchamia Vima w trybie arabskim, np. ustawia się opcja 'arabic'. W innym wypadku pojawi się komunikat błędu i Vim zakończy działanie.

-b  Tryb binarny. Ustawi się kilka opcji, które umożliwią edycję plików binarnych lub wykonywalnych.

-C  Kompatybilny. Ustawia opcję 'compatible'. W ten sposób Vim będzie zachowywał się jak Vi, nawet jeśli istnieje plik .vimrc.

-d  Uruchom w trybie diff. Powinno być dwa lub trzy nazwy plików jako argumenty. Vim otworzy wszystkie te pliki i pokaże różnice między nimi. Działa jak vimdiff(1).

-d {urządzenie}
    Otwórz {urządzenie} by używać jako terminal. Tylko na Amidze. Przykład: "-d con:20/30/600/150".

-D  Debugowanie. Przejdź do trybu debugowanie wykonując pierwsze polecenie ze skryptu.

-e  Uruchom Vima w trybie Ex, działa tak samo jakby wywołano program jako "ex".

-E  Uruchom Vima w ulepszonym trybie Ex, działa tak samo jakby wywołano program jako "exim".

-f  Pierszy plan. Dla wersji GUI. Vim nie nie oddzieli się od powłoki w jakiej został uruchomiony. Na Amidze Vim nie jest uruchomiony ponownie by otworzyć nowe okno. Opcja powinna być użyta kiedy Vim jest wywoływany przez program, który ma zaczekać na koniec sesji (np. mail). Na Amidze polecenia ":sh" i ":!" nie będą działać.

--nofork
    Pierwszy plan. Dla wersji GUI. Vim nie oddzieli się od powłoki w jakiej został uruchomiony.

-F  Jeśli Vim został skompilowany ze wsparciem FKMAP dla edycji tekstów od prawej do lewej i mapowania klawiatury Farsi, ta opcja uruchomi Vima w trybie Farsi, np. zostawią ustawione opcje 'fkmap' i 'rightleft'. W innym wypadku pojawi się komunikat błędu i Vim zakończy działanie.

-g  Jeśli Vim został skompilowany ze wsparciem dla GUI ta opcja uruchomi GUI. W innym wypadku pojawi się komunikat błędu i Vim zakończy działanie.

-h  Wyświetli krótką pomoc o argumentach linii poleceń i opcjach. Potem Vim zakończy działanie.

-H  Jeśli Vim został skompilowany ze wsparciem RIGHTLEFT dla edycji od prawej do lewej oraz ma mapowanie klawiatury dla hebrajskiego, ta opcja uruchomi Vima w trybie hebrajskim, np. ustawi opcje 'hkmap' i 'rightleft'. W innym wypadku pojawi się komunikat błędu i Vim zakończy działanie.

-i {viminfo}
    Kiedy Vim używa pliku viminfo ta opcja wskaże jakiego pliku użyć zamiast domyślnego "~/.viminfo". Można też ominąć użycie pliku .viminfo przez podanie nazwy "NONE".

-L  To samo co -r.

-l  Tryb Lisp. Ustawia opcje 'lisp' i 'showmatch'.

-m  Zmiana pliku jest niemożliwa. Przestawia opcję 'write'. Można cały czas zmienić zawartość bufora, ale zapisanie pliku nie jest możliwa.

-M  Opcje 'modifiable' i 'write' zostaną wyłączone, tak więc zmiany w pliku oraz ich zapisanie nie są możliwe. Można wartość tych opcji zmienić.

-N  Tryb niekompatibylny. Przestawia opcję 'compatible'. Dzięki temu Vim będzie zachowywał się odrobinę lepiej, ale mniej zgodznie z Vi nawet jeśli nie istnieje plik .vimrc.

-n  Nie powstanie plik wymiany. Odzyskanie pliku po wypadku nie będzie możliwe. Wygodne jeśli instnieje potrzeba edycji na bardzo wolnym medium (np. dyskietce). Ten cel można osiągnąć także przez ":set uc=0". Można odwrócić przez ":set uc=200".

-nb Uruchom jako serwer edytora dla NetBeans. Zobacz dokumentację by dowiedzieć się więcej.

-o[N]
    Otwórz N okien w stosie. Kiedy brak N, otwórz jedno okno dla każdego pliku.

-O[N]
    Otwórz N okien obok siebie. Kiedy brak N, otwórz jedno okno dla każdego pliku.

-p[N]
    Otwórz N kart. Kiedy brak N, otwórz jedną kartę dla każdego pliku.

-R  Tryb tylko do odczytu. Zostanie ustawiona opcja 'readonly'. Cały czas można zmieniać bufor, ale będzie istniała blokada przed przypadkowym zapisaniem pliku. Jeśli chcesz zapisać plik dodaj wykrzyknik do polecenia Ex, np. ":w!". Opcja -R implikuje opcję -n (zobacz poniżej). Opcja 'readonly' może zostać przestawiona poprzez ":set noro". Zobacz ":help 'readonly'".

-r  Wypisz listę plików wymiany razem z informacjami o nich.

-r {plik}
    Tryb odzyskiwania danych. Plik wymiany zostanie wykorzystany do odzyskania gwałtownie przerwanej sesji. Plik wymiany to plik z taką samą nazwą co plik oryginalny z dodanym ".swp". Zobacz ":help recovery".

-s  Tryb cichy. Rozpoczęty tylko kiedy uruchomiony jako "Ex" lub opcja "-e" została podana przed opcją "-s".

-s {skrypt}
    Zostanie wczytany plik {skrypt}. Znaki w pliku zostaną zinterpretowane jakby były wpisywane. To samo można osiągnąć poprzez polecenie ":source! {skrypt}". Jeśli osiągnięto koniec pliku zanim edytor zakończył działanie, dalsze znaki odczytywane są z klawiatury.

-T {terminal}
    Przekazuje Vimowi nazwę terminalu jakiego używasz. Wymagane tylko wtedy jeśli nie działa automatycznie. Powinien być to terminal znany Vimowi (builtin) lub zdefiniowany w plikach termcap lub terminfo.

-u {vimrc}
    Użyj poleceń z pliku {vimrc} w czasie uruchamiania. Wszystkie inne możliwe pliki uruchamiania zostaną pominięte. Używaj do edytowania plików specjalnych. Można pominąć także wszystkie możliwe pliki uruchamiania poprzez podanie nazwy "NONE". Zobacz ":help initialization" by poznać więcej szczegółów.

-U {gvimrc}
    Użyj poleceń z pliku {gvimrc} w czasie uruchamiania GUI. Wszystkie inne możliwe pliki uruchamiania GUI zostaną pominięte. Można pominąć także wszystkie możliwe pliki uruchamiania GUI poprzez podanie nazwy "NONE". Zobacz ":help gui-init" by poznać więcej szczegółów.

-V[N]
    Tryb gadatliwy. Wypisz wiadomości o tym jaki pliki są wczytywane i o informacjach pobieranych i dodawanych do pliku viminfo. Opcjonalny argument N jest wartością 'verbose'. Domyślnie 10.

-v  Uruchom Vima w trybie Vi, tak jakby program był nazwany "vi". Ma znaczenie tylko wtedy jeśli program nazwany jest "ex".

-w {plik}
    Wszystkie wciśnięcia klawiszy, aż do zakończenia działania programu, są zapisywane w {plik} . Użyteczne jeśli chce się stworzyć skrypt do użycia z "vim -s" lub ":source!". Jeśli {plik} istnieje, znaki są dopisywane.

-W {plik}
    Podobnie do -w, ale istniejący plik jest nadpisywany.

-x  Użyj szyfrowania podczas zapisywania plików. Zostaniesz poproszony o podanie klucza.

-X  Nie łącz z serwerem X. Skraca czas uruchamiania w terminalu, ale tytuł okna i schowek nie będą wykorzystywane.

-y  Uruchom Vima w łatwym trybie, tak jakby program został wywołany "evim" lub "eview". Vim będzie zachowywał się bardziej jak edytor kliknij-i-wpisz.

-Z  Tryb ograniczony. Zachowuje się jakby nazwa programu zaczynała się od "r".

--  Oznacza koniec opcji. Argumenty po tej opcji będą traktowane jak nazwy plików. Używa się do otwierania plików, których nazwy zaczynają się od '-'.

--echo-wid
    Wyłącznie GTK GUI: wypisz ID okna na standardowe wyjście.

--help
    Wyświetl informację o pomocy i zakończy, to samo co"-h".

--literal
    Potraktuj nazwy plików dosłownie i nie rozwiązuj kwantyfikatorów. Nie ma znaczenia na Uniksach gdzie powłoka rozwiązuje kwantyfikatorów

--noplugin
    Pomiń ładowanie wtyczek. Implikowane przy -u NONE.

--remote
    Połącz się z serwerem Vima i edytuj w nim resztę argumentów. Jeśli nie znaleziono serwera zostanie zgłoszony błąd a pliki będą otwarte w bieżącym Vimie.

--remote-expr {wyrażenie}
    Połącz z serwerem Vima, rozwiąż w nim {wyrażenie} i wypisz rozwiązanie na standardowe wyjście.

--remote-send {klawisze}
    Połącz z serwerem Vima i wyślij do niego {klawisze}.

--remote-silent
    Tak samo jak -remote, ale bez ostrzeżenia kiedy nie znaleziono serwera.

--remote-wait
    Tak samo jak -remote, ale Vim nie zakończy dopóki pliki nie zostaną otwarte.

--remote-wait-silent
    Tak samo jak --remote-wait, ale bez ostrzeżenie kiedy nie znaleziono serwera.

--serverlist
    Wypisz nazwy wszystkich serwerów Vima jakie można znaleźć.

--servername {nazwa}
    Użyj {nazwa} jako nazwy serwera. Wykorzystane dla bieżącego Vima o ile nie połączone z argumentem --remote, wtedy jest to nazwa serwera do połączenia.

--socketid {id}
    Wyłącznie GTK GUI: Użyj mechanizmu GtkPlug by uruchomić gvima w innym oknie.

--version
    Wypisz informację o wersji i zakończ.

POMOC ON-LINE
By rozpocząć wpisz ":help" w Vimie Wpisz ":help temat" by uzyskać pomoc na określony temat. Przykład: ":help ZZ" by uzyskać pomoc na temat polecenia "ZZ". Użyj <Tab> i CTRL-D aby uzupełnić tematy (":help cmdline-completion"). W plikach pomocy istnieją znaczniki by ułatwić skakanie z jednego miejsca do innego (rodzaj linków hipertekstowych, zobacz ":help"). Można w ten sposób zobaczyć całą dokumentację, np. ":help syntax.txt".

PLIKI

/usr/local/lib/vim/doc/*.txt
    Dokumentacja Vima Użyj ":help doc-file-list" aby uzyskać pełną listę.

/usr/local/lib/vim/syntax/syntax.vim
    Globalne uruchamianie podświetlania składni.

/usr/local/lib/vim/syntax/*.vim
    Pliki składni dla różnych języków.

/usr/local/lib/vim/vimrc
    Globalny plik uruchamiania Vima

~/.vimrc
    Osobiste parametry uruchamiania Vima

/usr/local/lib/vim/gvimrc
    Globalne uruchamianie gvima.

~/.gvimrc
    Osobiste parametry uruchamiania gvima.

/usr/local/lib/vim/optwin.vim
    Skrypt używany w poleceniu ":options", dobry sposób do przeglądania i ustawiania opcji.

/usr/local/lib/vim/menu.vim
    Globalne uruchamianie menu gvima.

/usr/local/lib/vim/bugreport.vim
    Skrypt służący do tworzenia raportów o błędach. Zobacz ":help bugs".

/usr/local/lib/vim/filetype.vim
    Skrypt do wykrywania typu pliku według jego nazwy. Zobacz ":help 'filetype'".

/usr/local/lib/vim/scripts.vim
    Skrypt do wykrywania typu pliku według jego zawartości. Zobacz ":help 'filetype'".

/usr/local/lib/vim/print/*.ps
    Pliku używane do drukowania PostScriptu.

Najświeższe wiadomości na stronie Vima:
<URL:http://www.vim.org/>

ZOBACZ TAKŻE
vimtutor(1)

AUTOR
Vim został napisany przez Brama Moolenaara z dużą pomocą innych osób. Zobacz ":help credits" w Vimie.
Vim bazuje na Steviem, nad którym pracowali: Tim Thompson, Tony Andrews i G.R. (Fred) Walter. Mało już zostało z oryginalnego kodu.

BŁĘDY
Prawdopodobne. Zobacz ":help todo" by poznać listę znanych problemów.

Pamiętaj że pewna ilość problemów, które mogą być uznawane przez niektórych ludzi za błędy są w rzeczywistości spowodowane wiernością w odtwarzaniu zachowania Vi. Jeśli sądzisz, że inne rzeczy są błędami "ponieważ Vi robi to inaczej", powinieneś przyjrzeć się bliżej plikowi vi_diff.txt (lub wpisać ":help vi_diff.txt" w Vimie). Sprawdź także opis opcji 'compatible' i 'cpoptions'.